import * as ts from 'typescript';
import { SwaggerConfig } from '../config';
import { Method } from './metadataGenerator';
export declare class MethodGenerator {
    private readonly config;
    private readonly node;
    private readonly controllerPath;
    private readonly genericTypeMap?;
    private method;
    private path;
    constructor(config: SwaggerConfig, node: ts.MethodDeclaration, controllerPath: string, genericTypeMap?: Map<String, ts.TypeNode> | undefined);
    isValid(): boolean;
    getMethodName(): string;
    generate(): Method;
    private buildParameters;
    private getNodeParameters;
    private addPathParameters;
    private getCurrentLocation;
    private processMethodDecorators;
    private hasDecorator;
    private getFirstDecoratorValue;
    private getMethodResponses;
    private getMethodSuccessResponse;
    private getMethodSuccessResponseData;
    private getMethodSuccessExamples;
    private mergeResponses;
    private supportsPathMethod;
    private getExamplesValue;
    private getDecoratorValues;
    private getMethodSecurity;
    private getInitializerValue;
}
